import * as http from '../util/http'

// 测试列表分页查询
const testList = (param) => {
  return http.post('/testTheme/testList', param)
}

// 删除测试
const deleteTest = (param) => {
  return http.post('/testTheme/deleteTest', param)
}
// 复制测试
const copyTest = (param) => {
  return http.post('/testTheme/copyTest', param)
}
// 查询测试数据
const queryTestTheme = (param) => {
  return http.post('/testTheme/queryTestTheme', param)
}

// 报表导出
const exportExcelPath = (param) => {
  return http.post('/excel/exportExcelPath', param)
}

const answerData = (data) => {
  return http.post('/analyse/answerData', data)
}
const saveAnalyseBag = (data) => {
  return http.post('/analyse/saveAnalyseBag', data)
}
const condition = (data) => {
  return http.post('/analyse/condition', data)
}
const crossAnalyse = (data) => {
  return http.post('/analyse/crossAnalyse', data)
}
module.exports = {
  testList, deleteTest, copyTest, queryTestTheme, exportExcelPath, answerData, saveAnalyseBag, condition, crossAnalyse
}
